<?php
$titlebar_content = themetechmount_titlebar_content();

$title_classes = '';
	if(themetechmount_get_option('blog_details_style') == 'style1' &&  is_singular('post') ) {
		$title_classes = 'tm-post-details-style';
	}
$class              = '';
$layout             = themetechmount_get_option('layout');
$full_wide_elements = themetechmount_get_option('full_wide_elements');

if( $layout=='fullwide' && is_array($full_wide_elements) && in_array('header', $full_wide_elements) ){
	$class = 'container-fullwide';
} else {
	$class = 'container';
}

if( themetechmount_titlebar_show() ) : ?>

	<?php if( !empty($titlebar_content) ){ ?>
	
		<div class="tm-titlebar-wrapper tm-bg <?php echo themetechmount_sanitize_html_classes(themetechmount_titlebar_classes()); ?>">
			<div class="tm-titlebar-wrapper-bg-layer tm-bg-layer"></div>
			<div class="tm-titlebar entry-header">
				<div class="tm-titlebar-inner-wrapper">
						<div class="tm-titlebar-main">
						<div class="<?php echo themetechmount_wp_kses($class); ?>">
						<div class="container">
							<div class="tm-titlebar-main-inner">
								<?php if(themetechmount_get_option('blog_details_style') == 'style1' &&  is_singular('post') ) { ?>						
						<div class="tm-post-meta-wrapper">
							<?php
							// Category list
							$categories_list = get_the_category_list( '  ' );
							if ( !empty($categories_list) ) { ?>
								<span class="tm-meta-line cat-links"><span class="screen-reader-text tm-hide"><?php echo esc_attr_x( 'Categories', 'Used before category names.', 'ttm-business' ); ?> </span><?php echo themetechmount_wp_kses($categories_list); ?></span>
								<span class="tm-meta-line tm-date"> <?php echo get_the_date(); ?>	 </span>
							<?php } ?>
							<?php $date_format =  get_option('date_format'); ?>							
						</div>						
						<?php } ?>			

							<?php echo themetechmount_wp_kses( $titlebar_content, 'titlebar' ); ?>
								
							<?php if(themetechmount_get_option('blog_details_style') == 'style1' &&  is_singular('post') ) { ?>									
						<?php } ?>	
								
						 								
							</div>
						</div>
					</div><!-- .tm-titlebar-main -->
				</div><!-- .tm-titlebar-inner-wrapper -->
				</div><!-- .tm-titlebar-inner-wrapper -->
			</div><!-- .tm-titlebar -->
		</div><!-- .tm-titlebar-wrapper -->
		
	<?php } else { ?>
	
		<hr class="tm-titlebar-border" />
	
	<?php } ?>

<?php endif;  // themetechmount_titlebar_show() ?>







