<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


/* Getting skin color */
$skincolor = themetechmount_get_option('skincolor');

/* Dark BG color */
$secondarycolor = themetechmount_get_option('secondarycolor');

/* Grey BG color */
$secondarygreycolor = themetechmount_get_option('secondary-greycolor');

/* Blackish Button Color */
$blackish_buttoncolor = themetechmount_get_option('blackish_buttoncolor');
$special_element_font  = themetechmount_get_option('element_title');
$special_element_fontfamily   = $special_element_font['family'];
$special_element_fontweight   = $special_element_font['variant'];
$general_font = themetechmount_get_option('general_font');
$h4_heading_font = themetechmount_get_option('h4_heading_font');
$h4_heading_font_fontweight   = $h4_heading_font['variant'];

if( $h4_heading_font_fontweight == 'regular' ){
	$h4_heading_font_fontweight  = '400';
}

if( $button_shape =='round'){
	$global_button_shape = '2em';
}
else if($button_shape =='rounded') {
	$global_button_shape = '5px';
}
else {
	$global_button_shape = '0px';
}

$general_font = themetechmount_get_option('general_font');

$titlebar_heading_font  = themetechmount_get_option('titlebar_heading_font');
$resposive_main_heading_font  = themetechmount_get_option('resposive_heading_font');
$resposive_titlebar_heading_font  = themetechmount_get_option('resposive_titlebar_heading_font');
$resposive_titlebar_height  = themetechmount_get_option('resposive_titlebar_height');

/*
 *  Set skin color set for this page only.
 */
if( isset($_GET['color']) && trim($_GET['color'])!='' ){
	$skincolor = '#'.trim($_GET['color']);
}

?>
.widget .tm-file-links .tm-links i,
.widget .tm-file-links .tm-links a,
.tm-col-bgcolor-darkgrey.tm-col-bgimage-yes .tm-bg-layer-inner,
.tm-bgcolor-darkgrey.tm-bg.tm-bgimage-yes > .tm-bg-layer-inner,
.tm-bg.tm-bgcolor-darkgrey .tm-bg-layer,
.tm-vc_btn3.tm-vc_btn3-color-black, .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-flat,
.tm-col-bgcolor-darkgrey .tm-bg-layer-inner, .tm-bgcolor-darkgrey,
.site-header.tm-sticky-bgcolor-darkgrey.is_stuck,
 .tm-header-overlay .site-header.tm-sticky-bgcolor-darkgrey.is_stuck, .site-header-menu.tm-sticky-bgcolor-darkgrey.is_stuck, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .tm-titlebar .breadcrumb-wrapper .container, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .breadcrumb-wrapper .container:before, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-darkgrey .breadcrumb-wrapper .container:after, .tm-header-style-infostack .site-header .tm-stickable-header.is_stuck.tm-sticky-bgcolor-darkgrey, .tm-header-style-infostack .site-header-menu .is_stuck .tm-sticky-bgcolor-darkgrey, .tm-header-style-infostack .is_stuck.tm-sticky-bgcolor-darkgrey, .tm-header-style-infostack .tm-bgcolor-darkgrey, .themetechmount-topbar-wrapper.tm-bgcolor-darkgrey {
	background-color: <?php echo esc_attr($secondarycolor); ?>;
}
.themetechmount-fbar-position-right .themetechmount-fbar-btn a.grey, .tm-col-bgcolor-grey .tm-bg-layer-inner, .tm-bgcolor-grey, .site-header.tm-sticky-bgcolor-grey.is_stuck, .site-header-menu.tm-sticky-bgcolor-grey.is_stuck, .tm-header-overlay .site-header.tm-sticky-bgcolor-grey.is_stuck, .tm-header-style-infostack .site-header .tm-stickable-header.is_stuck.tm-sticky-bgcolor-grey, .tm-header-style-infostack .site-header-menu .is_stuck .tm-sticky-bgcolor-grey, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-grey .tm-titlebar .breadcrumb-wrapper .container, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-grey .breadcrumb-wrapper .container:before, .tm-titlebar-wrapper.tm-breadcrumb-on-bottom.tm-breadcrumb-bgcolor-grey .breadcrumb-wrapper .container:after {
	background-color: <?php echo esc_attr($secondarygreycolor); ?>;
}


.elementor-column.elementor-top-column.tm-col-bgcolor-darkgrey:not(.tm-bgimage-yes) .elementor-widget-wrap>.tm-stretched-div, .elementor-column.elementor-top-column.tm-col-bgcolor-darkgrey:not(.tm-col-stretched-yes)>.elementor-widget-wrap, .elementor-column.elementor-inner-column.tm-col-bgcolor-darkgrey:not(.tm-bgimage-yes)>.elementor-widget-wrap
{
	background-color: <?php echo esc_attr($secondarycolor); ?> !important;
}

.elementor-column.elementor-top-column.tm-col-bgcolor-darkgrey.tm-bgimage-yes .elementor-widget-wrap .tm-stretched-div:before {
    background-color: rgba( <?php echo themetechmount_hex2rgb($secondarycolor); ?>,0.90)!important;
}

.elementor-section.elementor-top-section.tm-bgcolor-darkgrey,
.elementor-section.elementor-top-section.tm-bgcolor-darkgrey:before,
.elementor-section.elementor-inner-section.tm-bgcolor-darkgreys,
.elementor-progress-wrapper {
   background-color: <?php echo esc_attr($secondarycolor); ?>;
}

.woocommerce-account .woocommerce-MyAccount-navigation li a:hover:before, .widget.tm_widget_nav_menu li a:hover:before, .widget.anomica_all_post_list_widget li a:hover:before, .widget.anomica_category_list_widget li a:hover:before, .woocommerce-account .woocommerce-MyAccount-navigation li.is-active a:before, .widget.tm_widget_nav_menu li.current_page_item a:before, .widget.anomica_all_post_list_widget li.tm-post-active a:before, .widget.anomica_category_list_widget li.current-cat a:before {
    background:<?php echo esc_attr($secondarycolor); ?>;
    border-right-color:<?php echo esc_attr($secondarycolor); ?>;	
}
/***Secondary Grey color***/

.elementor-column.elementor-top-column.tm-col-bgcolor-grey:not(.tm-bgimage-yes) .elementor-widget-wrap>.tm-stretched-div, .elementor-column.elementor-top-column.tm-col-bgcolor-grey:not(.tm-col-stretched-yes)>.elementor-widget-wrap, .elementor-column.elementor-inner-column.tm-col-bgcolor-grey:not(.tm-bgimage-yes)>.elementor-widget-wrap {
	background-color: <?php echo esc_attr($secondarygreycolor); ?> !important;
}
.elementor-column.elementor-top-column.tm-col-bgcolor-grey.tm-bgimage-yes .elementor-widget-wrap .tm-stretched-div:before {
    background-color: rgba( <?php echo themetechmount_hex2rgb($secondarygreycolor); ?>,0.70)!important;
}
.elementor-section.elementor-top-section.tm-bgcolor-grey,
.elementor-section.elementor-top-section.tm-bgcolor-grey:before,
.elementor-section.elementor-inner-section.tm-bgcolor-grey,
.tm-btn-style-flat.tm-btn-color-grey .elementor-button {
   background-color: <?php echo esc_attr($secondarygreycolor); ?>;
}

.elementor-column.elementor-top-column.tm-col-bgcolor-skincolor:not(.tm-bgimage-yes) .elementor-widget-wrap>.tm-stretched-div, .elementor-column.elementor-top-column.tm-col-bgcolor-skincolor:not(.tm-col-stretched-yes)>.elementor-widget-wrap, .elementor-column.elementor-inner-column.tm-col-bgcolor-skincolor:not(.tm-bgimage-yes)>.elementor-widget-wrap
{
	background-color: <?php echo esc_attr($skincolor); ?> !important;
}
.elementor-column.elementor-top-column.tm-col-bgcolor-skincolor.tm-bgimage-yes .elementor-widget-wrap .tm-stretched-div:before {
    background-color: rgba( <?php echo themetechmount_hex2rgb($skincolor); ?>,0.85)!important;
}

.elementor-section.elementor-top-section.tm-bgcolor-skincolor,
.elementor-section.elementor-top-section.tm-bgcolor-skincolor:before,
 .elementor-section.elementor-inner-section.tm-bgcolor-skincolor{
   background-color: <?php echo esc_attr($skincolor); ?>;
}
.themetechmount-iconbox.themetechmount-iconcolor-skincolor .tm-box-icon i {
	color: <?php echo esc_attr($skincolor); ?>;
}
.themetechmount-iconbox.themetechmount-iconcolor-darkgrey .tm-box-icon i {
	color: <?php echo esc_attr($blackish_buttoncolor); ?>;
}



.tm-btn-style-flat.tm-btn-color-darkgrey .elementor-button,
.tm-btn-style-flat.tm-btn-color-skincolor .elementor-button:hover{
	background-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}

.tm-btn-style-flat.tm-btn-color-grey .elementor-button,
.tm-btn-style-flat.tm-btn-color-white .elementor-button,
.tm-btn-style-text.tm-btn-color-darkgrey .elementor-button{
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}
.tm-btn-style-flat.tm-btn-color-darkgrey.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:before,
.tm-btn-style-flat.tm-btn-color-darkgrey.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:after,

.tm-btn-style-flat.tm-btn-color-skincolor.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:hover:before,
.tm-btn-style-flat.tm-btn-color-skincolor.tm-btn-shape-square:not(.tm-btn-style-text).elementor-element.elementor-widget-button .elementor-button-link:hover:after,
.themetechmount-iconbox.themetechmount-iconcolor-darkgrey .tm-box-icon i,
.tm-btn-style-outline.tm-btn-color-white .elementor-button:hover,
.tm-btn-style-text.tm-btn-color-skincolor .elementor-button:hover{
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}
.tm-btn-style-text.tm-btn-color-grey .elementor-button{
	color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-flat.tm-btn-color-grey .elementor-button{
   background-color: <?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-grey .elementor-button{
	border-color:<?php echo esc_attr($secondarygreycolor); ?> !important;
	color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-grey .elementor-button:hover{
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
	background-color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-skincolor .elementor-button{
	border-color:<?php echo esc_attr($skincolor); ?>;
	color:<?php echo esc_attr($skincolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-skincolor .elementor-button:hover{
	color:#fff;
	background-color:<?php echo esc_attr($skincolor); ?>;
	border-color:<?php echo esc_attr($skincolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-darkgrey .elementor-button{
	border-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
	color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}
.tm-btn-style-outline.tm-btn-color-darkgrey .elementor-button:hover{
	border-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
	color:#fff;
	background-color:<?php echo esc_attr($blackish_buttoncolor); ?>;
}


.themetechmount-iconbox.themetechmount-iconcolor-grey .tm-box-icon i {
    color:<?php echo esc_attr($secondarygreycolor); ?>;
}
.wpcf7 .tm-team-contact input[type="text"], .wpcf7 .tm-team-contact input[type="email"], .wpcf7 .tm-team-contact textarea,
.themetechmount-iconbox.themetechmount-icon-bgcolor-grey.tm-iconstyle-outline-boxed .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-grey.tm-iconstyle-outline-rounded .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-grey.tm-iconstyle-outline-rounded-less .tm-box-icon {
	border-color: <?php echo esc_attr($secondarygreycolor); ?>;
}
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey.tm-iconstyle-outline-boxed .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey.tm-iconstyle-outline-rounded .tm-box-icon,
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey.tm-iconstyle-outline-rounded-less .tm-box-icon {
	border-color: <?php echo esc_attr($secondarycolor); ?>;
}
.themetechmount-iconbox.themetechmount-icon-bgcolor-darkgrey .tm-box-icon {
	background-color: <?php echo esc_attr($secondarycolor); ?>;	
}

.wpcf7 .tm-team-contact input[type="text"], .wpcf7 .tm-team-contact input[type="email"], .wpcf7 .tm-team-contact textarea,
.main-holder .site-content nav.woocommerce-pagination ul li span, .main-holder .site-content nav.woocommerce-pagination ul li a, .themetechmount-pagination .page-numbers,
.single .themetechmount-box-blog-classic .tm-social-share-links ul li a,
.single-post .themetechmount-blogbox-sharebox .themetechmount-tags-links a,
.themetechmount-iconbox-stylefive,
.themetechmount-iconbox.themetechmount-icon-bgcolor-grey .tm-box-icon {
	background-color: <?php echo esc_attr($secondarygreycolor); ?>;	
}
@media (min-width: 1200px) {
.tm-dmenu-active-color-skin .tm-mmmenu-override-yes #site-header-menu #site-navigation div.mega-menu-wrap ul.mega-menu.mega-menu-horizontal ul.mega-sub-menu li:hover > a, .tm-dmenu-active-color-skin #site-header-menu #site-navigation div.nav-menu > ul ul li:hover > a, .tm-dmenu-active-color-skin .tm-mmmenu-override-yes #site-header-menu #site-navigation div.mega-menu-wrap ul.mega-menu.mega-menu-horizontal > li.mega-menu-item ul.mega-sub-menu li.mega-menu-item:hover > a {
    background-color: <?php echo esc_attr($secondarygreycolor); ?>;
}
}





<?php 
$show_gradient_colors = themetechmount_get_option('gradient_color_show');
	if( $show_gradient_colors==true ){
?>

.tm-common-form.tm-contact-us-form input[type="submit"],
.tm-common-form.tm-contact-us-form input[type="submit"]:hover,
.wpb-js-composer .vc_tta-color-skincolor.vc_tta-style-classic.tm-tab-demo2 .vc_tta-tab.vc_active>a ,
.vc_tta-color-skincolor.vc_tta-style-classic.tm-tab-demo2 .vc_tta-tab>a:hover,
.tm-headerstyle-classic-box-overlay-two .tm-vc_btn3.tm-vc_btn3-color-black.tm-vc_btn3-style-flat:hover,
.vc_tta-color-skincolor.vc_tta-style-classic.tm-tab-demo2 .vc_tta-tab>a:hover,
.tm-commonform.tm-demo2-btn input[type="submit"] ,
.tm-commonform.tm-demo2-btn input[type="submit"]:hover,
.tm-headerstyle-classic-box-overlay-two .tribe-events-button, #tribe-events .tribe-events-button,
.tm-headerstyle-classic-box-overlay-two #tribe-events-content #tribe-events-footer .tribe-events-sub-nav .tribe-events-nav-previous a:hover,
.tm-headerstyle-classic-box-overlay-two #tribe-events-content #tribe-events-footer .tribe-events-sub-nav .tribe-events-nav-next a:hover,
.tm-headerstyle-classic-box-overlay-two #tribe-events-content.tribe-events-single .tribe-events-back a:hover,
.tm-headerstyle-classic-box-overlay-two .themetechmount-box-events.themetechmount-box-view-top-image-details .themetechmount-meta-date,
.tm-headerstyle-classic-box-overlay-two .themetechmount-box-blog .themetechmount-blogbox-desc-footer a,
.single-tm_portfolio.tm-headerstyle-classic-box-overlay-two .nav-previous a,
.single-tm_portfolio.tm-headerstyle-classic-box-overlay-two .nav-next a,
.tm-headerstyle-classic-box-overlay-two .themetechmount-box-blog .themetechmount-blogbox-desc-footer a:hover,
.single-tm_portfolio.tm-headerstyle-classic-box-overlay-two .nav-previous a:hover,
.single-tm_portfolio.tm-headerstyle-classic-box-overlay-two .nav-next a:hover,
.tm-headerstyle-classic-box-overlay-two .tm-static-box-wrapper:hover .tm-static-box-content,
.main-holder .site .return-to-shop a.button:hover,
.tm-headerstyle-classic-box-overlay-two .tm-sortable-list .tm-sortable-link a.selected,
.tm-footer-cta-wrapper .tm-footer-cta-inner.tm-bgcolor-gradient:after,
.themetechmount-box-style1:hover .themetechmount-box-content:before,
.themetechmount-boxes-testimonial:not(.themetechmount-boxes-col-one) .themetechmount-box-view-default.style-2 .themetechmount-box-desc:after,
.themetechmount-boxes-testimonial .themetechmount-box-view-default.style-2 .themetechmount-box-author:after,
.themetechmount-box-events.themetechmount-top-image-details1 .themetechmount-eventbox-icon,
.themetechmount-iconbox-styletwo:hover .themetechmount-iconbox-button i,
#totop,
.tm-headerstyle-classic-box-overlay-two #site-header-menu #site-navigation div.nav-menu > ul ul li.current-menu-item > a, .tm-headerstyle-classic-box-overlay-two #site-header-menu #site-navigation div.nav-menu > ul ul li:hover > a, .tm-headerstyle-classic-box-overlay-two #site-header-menu #site-navigation div.nav-menu > ul > li li.current_page_item > a,
.tm-headerstyle-classic-box-overlay-two .tm-header-icons .tm-header-search-link a,
.tm-headerstyle-classic-box-overlay-two .tm-highlight-right:after {
	background-image: linear-gradient(to right, <?php echo esc_attr($first_gradientcolor); ?> , <?php echo esc_attr($second_gradientcolor); ?> );
}

<?php } ?>


<?php 
if( !empty($resposive_titlebar_heading_font) ){ ?>
@media (max-width:991px) {
.tm-titlebar h1.entry-title, .tm-titlebar-textcolor-custom .tm-titlebar-main .entry-title {
    font-size:<?php echo esc_attr($resposive_titlebar_heading_font); ?>px;
    line-height:<?php echo esc_attr(($resposive_titlebar_heading_font)+10); ?>px;
}
body.single-post .tm-titlebar h1.entry-title {
    font-size:<?php echo esc_attr(($resposive_titlebar_heading_font)-15); ?>px;
    line-height:<?php echo esc_attr(($resposive_titlebar_heading_font)-5); ?>px;
}
}
<?php }
if(!empty($resposive_titlebar_height)){ ?>
@media (max-width:991px) {
.tm-titlebar-wrapper .tm-titlebar-inner-wrapper {
    height:<?php echo esc_attr($resposive_titlebar_height); ?>px;
}
}
<?php }
if( !empty($resposive_main_heading_font) ){ ?>
@media (max-width:767px) {
.tm-element-heading-wrapper .tm-vc_general .tm-vc_cta3_content-container .tm-vc_cta3-content .tm-vc_cta3-content-header h2, .tm-element-heading-content-wrapper .tm-element-content-heading{
    font-size:<?php echo esc_attr($resposive_main_heading_font); ?>px;
    line-height:<?php echo esc_attr(($resposive_main_heading_font)+10); ?>px;
}
}
<?php }
